body {
  display: flex;
  text-align: center;
  font-family: 'poppins', sans-serif;
  background-color: #e7f1f1;
  height: 100vh;
  width: 100vw;
  margin: auto;
}

main {
  width: 68vw;
  display: flex;
  flex-direction: column;
  padding: 3%;
}

h1 {
  font-size: 7vw;
}

h3 {
  font-weight: 300;
  font-size: 2vw;
}

container {
  display: flex;
  gap: 1vw;
}

.swatch {
  display: flex;
  height: 10vw;
  width: 10vw;
  border: 4px solid black;
  align-items: flex-end;
  justify-content: flex-end;
  flex-direction: row;
  flex-wrap: wrap;
}

img:hover {
  cursor: pointer;
  transform: scale(1.1);
}

.swatch>img {
  height: 20%;
  width: auto;
  margin: 7%;
  &:hover {
    animation: wiggle 2s linear infinite alternate;
  }
}

button {
  border-radius: 0px 50px;
  padding: 2%;
  width: 23vw;
  background-color: black;
  color: white;
  font-family: 'poppins', sans-serif;
  font-size: 2vw;
  font-weight: 100;
  border: 0;
  transition: all 0.4s ease-in-out;

  &:hover {
    cursor: pointer;
    transform: scale(1.1);
  }
}

.space {
  height: 10vw;
}

span {
  display: flex;
  justify-content: space-around;

}

section {
  border-left: 5px solid black;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.mini-palette-group {
  display: flex;
  gap: 1.25vw;
  align-items: center;
  margin-top: 3vh;
}

.mini-palette {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: .75vw;
}

.mini-swatch {
  height: 6vh;
  width: 6vh;
  border: 2px black solid;

}

.delete-button {
  height: 4vh;
}

.hidden {
  display: none;
}

@media screen and (max-width: 999px) {
  body {
    flex-direction: column;
  }

  main {
    width: 100vw;
    align-items: center;
    padding: 0px;
  }

  section {
    border-left: none;
    border-top: 5px solid black;
  }

  button {
    margin-bottom: 4vh;
  }
}

@keyframes wiggle {
  0%,
  10% {
    transform: scale(1.2);
  }
  20%,
  30%,
  40% {
    transform: rotate(0) scale(1.2);
  }
  40%,
  50%,
  60%,
  70%,
  80% {
    transform: rotate(5deg) scale(1.2);
  }
  45%,
  55%,
  65%,
  75%,
  85% {
    transform: rotate(-5deg) scale(1.2);
  }
  85% {transform: rotate(-5deg)scale(1.2);}
  100% {
    transform: rotate(0) scale(1);
  }
}
